package com.issess.metaverse.client;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.custom.CTabFolder;
import org.eclipse.swt.custom.CTabFolder2Adapter;
import org.eclipse.swt.custom.CTabFolderEvent;
import org.eclipse.swt.custom.CTabItem;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.TabItem;
import org.eclipse.swt.custom.ViewForm;
import org.eclipse.swt.custom.CBanner;
import org.eclipse.swt.custom.SashForm;

public class Inn {

	private Shell sShell = null; // @jve:decl-index=0:visual-constraint="16,35"

	private CTabFolder cTabFolderSub = null;

	private Composite composite = null;

	private StyledText styledText = null;

	private Text text = null;

	private Composite compositeGame = null;

	private Label label = null;

	private SashForm sashForm = null;

	/**
	 * This method initializes cTabFolderSub
	 * 
	 */
	private void createCTabFolderSub() {
		GridData gridData1 = new GridData();
		gridData1.horizontalAlignment = GridData.FILL;
		gridData1.grabExcessHorizontalSpace = true;
		gridData1.grabExcessVerticalSpace = true;
		gridData1.verticalAlignment = GridData.FILL;
		cTabFolderSub = new CTabFolder(sShell, SWT.BORDER | SWT.MULTI);
		cTabFolderSub.setSimple(true);
		cTabFolderSub.setTabHeight(18);
		cTabFolderSub.setUnselectedCloseVisible(false);
		cTabFolderSub.setLayoutData(gridData1);
		createComposite();
		final CTabItem cTabItemChat = new CTabItem(cTabFolderSub, SWT.CLOSE);
		cTabItemChat.setText("ȭ");
		cTabItemChat.setControl(composite);
		cTabFolderSub.addCTabFolder2Listener(new CTabFolder2Adapter() {
			public void close(CTabFolderEvent event) {
				if (event.item.equals(cTabItemChat)) {
					event.doit = false;
				}
			}
		});
	}

	/**
	 * This method initializes composite
	 * 
	 */
	private void createComposite() {
		GridData gridData3 = new GridData();
		gridData3.grabExcessHorizontalSpace = true;
		gridData3.verticalAlignment = GridData.CENTER;
		gridData3.horizontalAlignment = GridData.FILL;
		GridLayout gridLayout1 = new GridLayout();
		gridLayout1.horizontalSpacing = 0;
		gridLayout1.marginWidth = 0;
		gridLayout1.marginHeight = 0;
		gridLayout1.makeColumnsEqualWidth = false;
		gridLayout1.verticalSpacing = 1;
		GridData gridData2 = new GridData();
		gridData2.heightHint = 100;
		gridData2.horizontalAlignment = GridData.FILL;
		gridData2.verticalAlignment = GridData.FILL;
		gridData2.grabExcessVerticalSpace = true;
		gridData2.grabExcessHorizontalSpace = true;
		composite = new Composite(cTabFolderSub, SWT.None);
		composite.setLayout(gridLayout1);
		styledText = new StyledText(composite, SWT.BORDER | SWT.V_SCROLL
				| SWT.WRAP);
		styledText.setText("issess's neural network.  version 0.1b");
		styledText.setLayoutData(gridData2);
		text = new Text(composite, SWT.BORDER);
		text.setLayoutData(gridData3);
	}

	/**
	 * This method initializes compositeGame
	 * 
	 */
	private void createCompositeGame() {
		GridLayout gridLayout2 = new GridLayout();
		gridLayout2.horizontalSpacing = 2;
		gridLayout2.marginWidth = 2;
		gridLayout2.marginHeight = 2;
		gridLayout2.verticalSpacing = 2;
		GridData gridData4 = new GridData();
		gridData4.grabExcessHorizontalSpace = true;
		gridData4.verticalAlignment = GridData.FILL;
		gridData4.grabExcessVerticalSpace = true;
		gridData4.heightHint = 300;
		gridData4.widthHint = 400;
		gridData4.horizontalAlignment = GridData.FILL;
		compositeGame = new Composite(sashForm, SWT.NONE);
		compositeGame.setLayout(gridLayout2);
		label = new Label(compositeGame, SWT.BORDER);
		label.setText("issess's neural network");
		label.setLayoutData(gridData4);
	}

	/**
	 * This method initializes sashForm
	 * 
	 */
	private void createSashForm() {
		GridData gridData = new GridData();
		gridData.grabExcessHorizontalSpace = true;
		gridData.horizontalAlignment = GridData.FILL;
		gridData.verticalAlignment = GridData.FILL;
		gridData.grabExcessVerticalSpace = true;
		sashForm = new SashForm(sShell, SWT.NONE);
		sashForm.setOrientation(SWT.VERTICAL);
		sashForm.setLayoutData(gridData);
		createCompositeGame();
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		/*
		 * Before this is run, be sure to set up the launch configuration
		 * (Arguments->VM Arguments) for the correct SWT library path in order
		 * to run with the SWT dlls. The dlls are located in the SWT plugin jar.
		 * For example, on Windows the Eclipse SWT 3.1 plugin jar is:
		 * installation_directory\plugins\org.eclipse.swt.win32_3.1.0.jar
		 */
		Display display = Display.getDefault();
		Inn thisClass = new Inn();
		thisClass.createSShell();
		thisClass.sShell.open();

		while (!thisClass.sShell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		display.dispose();
	}

	/**
	 * This method initializes sShell
	 */
	private void createSShell() {
		GridLayout gridLayout = new GridLayout();
		gridLayout.makeColumnsEqualWidth = false;
		gridLayout.verticalSpacing = 3;
		gridLayout.marginWidth = 3;
		gridLayout.marginHeight = 3;
		gridLayout.numColumns = 1;
		gridLayout.horizontalSpacing = 3;
		sShell = new Shell(SWT.SHELL_TRIM);
		sShell.setText("issess's neural network");
		sShell.setLayout(gridLayout);
		createSashForm();
		createCTabFolderSub();
		sShell.pack();
	}

}
