package com.issess.metaverse.server;

import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger;

import com.sun.sgs.app.ClientSession;
import com.sun.sgs.app.ClientSessionListener;

public class HelloUserSessionListener implements Serializable,
		ClientSessionListener {

	public static final Logger logger = Logger
			.getLogger(HelloUserSessionListener.class.getName());

	private final ClientSession session;

	public HelloUserSessionListener(ClientSession session) {
		this.session = session;
	}

	public void disconnected(boolean graceful) {
		String grace = graceful ?  "graceful":"forced";
		logger.log(Level.INFO, "User {0} has log out {1}",new Object[]{session.getName(),grace});
	}

	public void receivedMessage(byte[] arg0) {
		logger.log(Level.INFO, "DirectMessage from {0}",session.getName());
	}

}
