package com.issess.metaverse.server;

import java.io.Serializable;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

import com.sun.sgs.app.AppContext;
import com.sun.sgs.app.AppListener;
import com.sun.sgs.app.ClientSession;
import com.sun.sgs.app.ClientSessionListener;
import com.sun.sgs.app.DataManager;
import com.sun.sgs.app.ManagedReference;
import com.sun.sgs.app.Task;
import com.sun.sgs.app.TaskManager;

public class InnServer implements AppListener, Serializable {

	private static final long serialVersionUID = 1L;

	static final Logger logger = Logger.getLogger(InnServer.class.getName());

	public void initialize(Properties arg0) {
		logger.log(Level.INFO, "INN SERVER INITIALIZE...");

	}

	public ClientSessionListener loggedIn(ClientSession session) {
		logger.log(Level.WARNING, "user {0} almost logged in", session
				.getName());
		return new HelloUserSessionListener(session);
	}

}
